Page MenuHomePhabricator

Rollback link on mobile should be styled on Special:Watchlist, Special:RecentChanges and Special:Contributions
Closed, ResolvedPublic2 Story Points

Description

In mobile recent changes page and AMC's Special:Contributions page rollback links are shown as a free wandering links.

Note: The history page shows exactly how this should look and is working correctly.

QA steps

  1. Ask @Jdlrobson to make you a rollbacker on beta cluster using https://en.m.wikipedia.beta.wmflabs.org/w/index.php?title=Special%3AUserRights&user=Jdlrobson and ENABLE amc mode.
  2. Visit https://en.m.wikipedia.beta.wmflabs.org/w/index.php?title=Arbitration_Committee_(English_Wikipedia)&action=history and check rollback link there
  3. Ensure Special:Contributions treatment of rollback link matches (https://en.m.wikipedia.beta.wmflabs.org/w/index.php?title=Special:Contributions/Jdlrobson)
  4. Ensure Special:RecentChanges treatment of rollback link matches (https://en.m.wikipedia.beta.wmflabs.org/w/index.php?title=Special:RecentChanges

)

Developer notes

the CSS rules for rollback link live in skinStyles/mediawiki.action.history.styles.less and should be moved to skinStyles/mediawiki.special.changeslist.less

Details

Related Gerrit Patches:

Event Timeline

Ammarpad created this task.Sep 8 2019, 5:50 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 8 2019, 5:50 PM
Jdlrobson added subscribers: alexhollender, Jdlrobson.

@alexhollender how should these appear?

@Jdrewniak didn't we style these as buttons somewhere?

I wonder if the treatment of Undo on the History page would work here? I'm also fine with parentheses.

Yeh that could work. How would it look with undo and revert? Would buttons be stacked vertically or horizontally?

Yeh that could work. How would it look with undo and revert? Would buttons be stacked vertically or horizontally?

Who sees both Undo and Revert/Rollback? Is it only admins? Given the variation in the string lengths across languages I think we'd need to do something like this:

Yeh that could work. How would it look with undo and revert? Would buttons be stacked vertically or horizontally?

Who sees both Undo and Revert/Rollback? Is it only admins? Given the variation in the string lengths across languages I think we'd need to do something like this:

There's a rollbacker group on many wikis and they tend to outnumber admins. In enwiki alone there are more than 6K, though not sure of the percentage that uses mobile.

AMC's history page with concurrent undo/rollback links.

Jdlrobson updated the task description. (Show Details)Sep 18 2019, 10:31 PM
Ammarpad renamed this task from Rollback link on mobile should be enclosed in parentheses to Rollback link on mobile should be styled.Sep 20 2019, 9:50 PM
Ammarpad updated the task description. (Show Details)
Jdlrobson updated the task description. (Show Details)Sep 24 2019, 4:11 PM
Jdlrobson updated the task description. (Show Details)Sep 24 2019, 4:16 PM

@alexhollender there are 2 issues here as we see it:

  1. We need to fix the styling of the rollback link so it doesn't look like a plain link but a button and is consistent with the history page.
  2. We want to move the undo and rollback links underneath the tags (based on your mock in T232284#5495762).

number 1 is likely a very easy task but number 2 is a little more tricky and if desired we will need to make some changes in core/desktop.

alexhollender removed alexhollender as the assignee of this task.Sep 24 2019, 9:31 PM
alexhollender added a subscriber: ovasileva.

@alexhollender there are 2 issues here as we see it:

  1. We need to fix the styling of the rollback link so it doesn't look like a plain link but a button and is consistent with the history page.
  2. We want to move the undo and rollback links underneath the tags (based on your mock in T232284#5495762).

number 1 is likely a very easy task but number 2 is a little more tricky and if desired we will need to make some changes in core/desktop.

Ok well I think it's up to @ovasileva to decide whether or not we want to work on this right now

@alexhollender is it worth doing 1 given its super easy? I assume that is better than the status quo and would make RecentChanges/Contributions consistent with history page. Issue 2 currently impacts history page too.

alexhollender added a comment.EditedSep 25 2019, 12:51 PM

@alexhollender is it worth doing 1 given its super easy? I assume that is better than the status quo and would make RecentChanges/Contributions consistent with history page. Issue 2 currently impacts history page too.

I'm not sure I understand what doing #1 looks like without also doing #2? Would it look like this T232284#5497938?

See https://phabricator.wikimedia.org/T232284#5497938 for how 1 looks on history page

Ok cool, I'm fine with that

Jdlrobson renamed this task from Rollback link on mobile should be styled to Rollback link on mobile should be styled on Special:Watchlist, Special:RecentChanges and Special:Contributions.Sep 27 2019, 12:25 AM

Change 539595 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/skins/MinervaNeue@master] Style rollback link on RecentChanges, Contributions and Watchlist

https://gerrit.wikimedia.org/r/539595

after above change:

Masumrezarock100 added a comment.EditedSep 27 2019, 6:35 PM

after above change:



I think it should use OOUI destructive (primary or non-primary) button to indicate that it will revert (destroy) all edits by a user.

This is out of scope for this task.
There is a whole project for the rollback link here https://phabricator.wikimedia.org/project/view/3862/ !

if the rollback link is fixed to use OOUI there, this will just work in mobile/Minerva.

ovasileva set the point value for this task to 2.Oct 1 2019, 4:10 PM
Jdlrobson added a subscriber: nray.Oct 2 2019, 11:40 PM

@alexhollender During code review @nray asks whether the buttons should be the size they are in the history page or the watchlist

history:


rc

contributions:

watchlist:

Change 539595 merged by Jdlrobson:
[mediawiki/skins/MinervaNeue@master] Style rollback link on RecentChanges, Contributions and Watchlist

https://gerrit.wikimedia.org/r/539595

@alexhollender During code review @nray asks whether the buttons should be the size they are in the history page or the watchlist

Smaller seems better here

Change 541340 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/skins/MinervaNeue@master] Consistent undo/rollback links across changelist pages

https://gerrit.wikimedia.org/r/541340

Change 541340 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@master] Consistent undo/rollback links across changelist pages

https://gerrit.wikimedia.org/r/541340

nray reassigned this task from Jdlrobson to Edtadros.Oct 10 2019, 6:50 PM

@Jdlrobson Should this go into design review or qa next?

nray reassigned this task from Edtadros to alexhollender.Oct 10 2019, 6:58 PM
nray added a subscriber: Edtadros.

@Jdlrobson @nray here's what I'm seeing:

History pageContributionsRecent changesWatchlist
didn't see any rollback links

If this is the best we can get without getting into the territory of #2 as mentioned here by @Jdlrobson T232284#5520008, then let's move forward.

We'd need to make some HTML changes to have consistent placement of those buttons. If we want to do that I'd suggest a spike to start off with.

ovasileva closed this task as Resolved.Oct 14 2019, 12:25 PM

Sounds good - since rollback isn't available to everyone, I think we can live with this. Resolving.